//-----------------------------------------------------------------------------
// @description: Impact Acquire
// @copyright: (C) Copyright 2005 - 2023 by Balluff GmbH
// @authors: APIs and drivers development team at Balluff GmbH
// @initial date: 2005
//
// This software is provided by Balluff GmbH "as is"
// and any express or implied warranties, including, but not limited to, the
// implied warranties of merchantability and fitness for a particular purpose
// are disclaimed.
//
// In no event shall Balluff GmbH be liable for any direct,
// indirect, incidental, special, exemplary, or consequential damages
// (including, but not limited to, procurement of substitute goods or services;
// loss of use, data, or profits; or business interruption) however caused and
// on any theory of liability, whether in contract, strict liability, or tort
// (including negligence or otherwise) arising in any way out of the use of
// this software, even if advised of the possibility of such damage.

//-----------------------------------------------------------------------------
#ifndef designDataH
#define designDataH designDataH
//-----------------------------------------------------------------------------

#define COMPANY_NAME "Balluff"
#define COMPANY_NAME_FULL "Balluff GmbH"

#define COMPANY_NAMES "Balluff/MATRIX VISION"

#define COMPANY_SUPPORT_MAIL "balluff@balluff.de"
#define COMPANY_SUPPORT_MAILTO "mailto:balluff@balluff.de"
#define COMPANY_SUPPORT_SERVICEDESK "https://www.balluff.com/en-de/contact-support"

#define COMPANY_URL_DOWNLOAD_ARCHIVE "http://static.matrix-vision.com"
#define COMPANY_URL_HTTP "http://www.balluff.com"
#define COMPANY_URL_HTTPS "https://www.balluff.com"
#define COMPANY_URL_MANUALS "https://www.balluff.com/en-de/documentation-for-your-balluff-product"
#define COMPANY_URL_RSS_FEED "http://www.matrix-vision.com"
#define COMPANY_URL_SDK_DOWNLOADS "https://www.balluff.com/en-de/downloads/software"

#define CURRENT_YEAR "2023"

#define PRODUCT_NAME "Impact Acquire"

#define VERSION_STRING "3.0.0.3800"

#endif // designDataH
